-- phpMyAdmin SQL Dump
-- version 2.6.0-pl2
-- http://www.phpmyadmin.net
-- 

-- Generation Time: May 31, 2005 at 01:13 PM
-- Server version: 4.0.13
-- PHP Version: 4.3.4

-- --------------------------------------------------------

-- 
-- Table structure for table `admin_automail`
-- 

DROP TABLE IF EXISTS `admin_automail`;
CREATE TABLE `admin_automail` (
  `mid` bigint(20) NOT NULL auto_increment,
  `subject` varchar(255) NOT NULL default '',
  `message` text NOT NULL,
  PRIMARY KEY  (`mid`)
) TYPE=MyISAM AUTO_INCREMENT=4 ;

-- 
-- Dumping data for table `admin_automail`
-- 

INSERT INTO `admin_automail` (`mid`, `subject`, `message`) VALUES (1, 'New Ticket', '<P>Dear @username,<BR><BR>Your ticket has been submitted to our System, one of the staff members will review it and reply accordingly. Listed below are details of this ticket, you will need to use the ticket id listed below to update the status of this ticket from web.<BR>Ticket ID: @ticketid<BR>Subject: @subject <BR>Department: @departments <BR><BR><BR>Please let us know if we can assist you any further,<BR>Thanks,<BR>www.yoursite.com </P>');
INSERT INTO `admin_automail` (`mid`, `subject`, `message`) VALUES (2, 'Operator Reply', '<P>Hello,<BR><BR>There is a VIPHelpDesk response by @operator.<BR><BR><U>Call details: <BR></U><BR>Response by : @operator <BR>Time : @time<BR><BR><U>Message: <BR></U><BR>@message<BR><BR>Thank You.<BR>Team of Technical Support VIPHelpDesk Team </P>');        
INSERT INTO `admin_automail` (`mid`, `subject`, `message`) VALUES (3, 'User reply', '<P>Ticket id :@ticketid<BR>Reply time    : @time<BR>Subject       : @subject<BR><BR>Message        :<BR>@message<BR><BR><BR></P>');

-- --------------------------------------------------------

-- 
-- Table structure for table `tbl_admin`
-- 

CREATE TABLE `tbl_admin` (
  `admin_id` int(10) NOT NULL auto_increment,
  `admin_user` varchar(25) NOT NULL default '',
  `admin_pass` varchar(10) NOT NULL default '',
  `mailfrom` text NOT NULL,
  PRIMARY KEY  (`admin_id`)
) TYPE=MyISAM COMMENT='This table contains details of Administration ' AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `tbl_admin`
-- 

INSERT INTO `tbl_admin` (`admin_id`, `admin_user`, `admin_pass`,`mailfrom`) VALUES (1, 'admin', 'admin','admin@helpdesk.com');

-- --------------------------------------------------------

-- 
-- Table structure for table `tbl_announcements`
-- 

CREATE TABLE `tbl_announcements` (
  `anmnt_id` int(11) NOT NULL auto_increment,
  `anmnt_title` varchar(255) NOT NULL default '',
  `anmnt_desc` text NOT NULL,
  `anmnt_by` varchar(50) NOT NULL default '0',
  `anmnt_date` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`anmnt_id`)
) TYPE=MyISAM COMMENT='This table consists all annoucments ' AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `tbl_announcements`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `tbl_departments`
-- 

CREATE TABLE `tbl_departments` (
`dept_id` int(11) NOT NULL auto_increment,
  `dept_name` varchar(250) NOT NULL default '',
  `cat_id` int(11) NOT NULL default '0',
  `order` int(10) NOT NULL default '0',
  PRIMARY KEY  (`dept_id`)
);
-- 
-- Dumping data for table `tbl_departments`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `tbl_downloads`
-- 

CREATE TABLE `tbl_downloads` (
  `dwnld_id` int(11) NOT NULL auto_increment,
  `dwnld_title` varchar(100) NOT NULL default '',
  `dwnld_file` varchar(100) NOT NULL default '',
  `dwnld_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `dwnld_count` int(11) NOT NULL default '0',
  PRIMARY KEY  (`dwnld_id`)
) TYPE=MyISAM COMMENT='This table consists list of uploaded files ' AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `tbl_downloads`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `tbl_emails`
-- 

CREATE TABLE `tbl_emails` (
  `email_id` int(11) NOT NULL auto_increment,
  `email_type` varchar(50) NOT NULL default '',
  `email_subject` varchar(100) NOT NULL default '',
  `email_body` text NOT NULL,
  PRIMARY KEY  (`email_id`)
) TYPE=MyISAM COMMENT='This Table contains the list of all Emails to be sent' AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `tbl_emails`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `tbl_knowledgebase_ans`
-- 

CREATE TABLE `tbl_knowledgebase_ans` (
  `knw_ans_id` int(11) NOT NULL auto_increment,
  `knw_answer` text NOT NULL,
  `knw_qns_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`knw_ans_id`)
) TYPE=MyISAM COMMENT='This table consists all the Knowledge base answers' AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `tbl_knowledgebase_ans`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `tbl_knowledgebase_qns`
-- 

CREATE TABLE `tbl_knowledgebase_qns` (
  `knw_qns_id` int(11) NOT NULL auto_increment,
  `knw_qns` varchar(255) NOT NULL default '',
  `knw_ans` text NOT NULL,
  `knw_count` int(11) NOT NULL default '0',
  `dept_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`knw_qns_id`)
) TYPE=MyISAM COMMENT='This table consists Knowledgebase questions' AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `tbl_knowledgebase_qns`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `tbl_operators`
-- 

CREATE TABLE `tbl_operators` (
    `opera_id` int(11) NOT NULL auto_increment,
  `opera_user` varchar(50) NOT NULL default '',
  `opera_passd` varchar(10) NOT NULL default '',
  `opera_email` varchar(50) NOT NULL default '',
  `flag` int(11) NOT NULL default '1',
  PRIMARY KEY  (`opera_id`),
  UNIQUE KEY `opera_user` (`opera_user`)
) TYPE=MyISAM COMMENT='This table consists all operator details ';

-- 
-- Dumping data for table `tbl_operators`
-- 

INSERT INTO `tbl_operators` (`opera_id`, `opera_user`, `opera_passd`, `opera_email`, `flag`) VALUES (99999, 'admin', 'admin', 'admin@helpdesk.com', 1);
ALTER TABLE `tbl_operators` AUTO_INCREMENT =1;
-- --------------------------------------------------------

-- 
-- Table structure for table `tbl_priorities`
-- 

CREATE TABLE `tbl_priorities` (
  `prior_id` int(5) NOT NULL auto_increment,
  `prior_name` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`prior_id`),
  UNIQUE KEY `prior_name` (`prior_name`)
) TYPE=MyISAM COMMENT='This table consists of all Priorities' AUTO_INCREMENT=5 ;

-- 
-- Dumping data for table `tbl_priorities`;
-- 

INSERT INTO `tbl_priorities` (`prior_id`, `prior_name`) VALUES (1, 'Low');
INSERT INTO `tbl_priorities` (`prior_id`, `prior_name`) VALUES (2, 'Medium');
INSERT INTO `tbl_priorities` (`prior_id`, `prior_name`) VALUES (3, 'High');
INSERT INTO `tbl_priorities` (`prior_id`, `prior_name`) VALUES (4, 'Urgent');

-- --------------------------------------------------------

-- 
-- Table structure for table `tbl_relationship`
-- 

CREATE TABLE `tbl_relationship` (
  `rela_id` int(11) NOT NULL auto_increment,
  `opera_id` int(11) NOT NULL default '0',
  `dept_id` varchar(50) NOT NULL default '0',
  `parent_id` int(11) NOT NULL default '0',
  `flag` int(1) NOT NULL default '0',
  PRIMARY KEY  (`rela_id`)
) TYPE=MyISAM COMMENT='This table consists of relationship between Dept and Operato' AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `tbl_relationship`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `tbl_ticket_replies`
-- 

CREATE TABLE `tbl_ticket_replies` (
  `tkt_rpl_id` int(11) NOT NULL auto_increment,
  `opera_id` int(11) NOT NULL default '0',
  `ticket_id` int(11) unsigned zerofill NOT NULL default '00000000000',
  `tkt_reply` text NOT NULL,
  `tkt_rply_date` int(50) NOT NULL default '0',
  `user_id` int(11) unsigned zerofill NOT NULL default '00000000000',
  `flag` int(11) NOT NULL default '0',
  `last_reply` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`tkt_rpl_id`)
) TYPE=MyISAM COMMENT='This table consists of ticket replies from operators' AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `tbl_ticket_replies`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `tbl_tickets`
-- 

CREATE TABLE `tbl_tickets` (
  `ticket_id` int(11) unsigned zerofill NOT NULL auto_increment,
  `dept_id` int(11) NOT NULL default '0',
  `ticket_name` varchar(50) NOT NULL default '',
  `ticket_email` varchar(50) NOT NULL default '',
  `ticket_subject` varchar(100) NOT NULL default '',
  `ticket_request` text NOT NULL,
  `ticket_priority` int(1) NOT NULL default '0',
  `ticket_date` int(50) NOT NULL default '0',
  `ticket_flag` int(1) NOT NULL default '0',
  PRIMARY KEY  (`ticket_id`)
) TYPE=MyISAM COMMENT='This table consists of all the tickets' AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `tbl_tickets`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `tbl_troubleshooter_ans`
-- 

CREATE TABLE `tbl_troubleshooter_ans` (
  `trbl_ans_id` int(11) NOT NULL auto_increment,
  `trbl_answer` text NOT NULL,
  `trbl_ques_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`trbl_ans_id`)
) TYPE=MyISAM COMMENT='This table consists all the answers' AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `tbl_troubleshooter_ans`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `tbl_troubleshooter_qns`
-- 

CREATE TABLE `tbl_troubleshooter_qns` (
  `trbl_ques_id` int(11) NOT NULL auto_increment,
  `trbl_question` text NOT NULL,
  `trbl_answer` text NOT NULL,
  `trbl_count` int(11) NOT NULL default '0',
  PRIMARY KEY  (`trbl_ques_id`)
) TYPE=MyISAM COMMENT='This table consists all the questions' AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `tbl_troubleshooter_qns`
-- 
